## bakdump 0.3-r5

=== Makefile ===
clean:
	

all:
	

install:
	mkdir -p $(DESTDIR)/usr/sbin
	cp bakdump $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/etc
	cp bakdump.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/var/bakdump
	chmod 0700 $(DESTDIR)/var/bakdump
	touch $(DESTDIR)/var/bakdump/bakdump

## bakdump 0.3-r3

=== debian/changelog ===
bakdump (0.3-r3) unstable; urgency=low

  * Redirect renice stdout to /dev/null.

 -- Thomas Liske <liske@ibh.de>  Mon, 24 Nov 2008 09:56:17 +0100

bakdump (0.2) unstable; urgency=low

  * Fixed postgresql path.
  * Added renice +1.

 -- Thomas Liske <thomas@fiasko.dyndns.org>  Sat, 26 Apr 2008 10:48:44 +0200

bakdump (0.1) unstable; urgency=low

  * Initial Release.

 -- Thomas Liske <thomas@fiasko.dyndns.org>  Sat, 19 Apr 2008 11:56:10 +0200

=== debian/control ===
Source: bakdump
Section: utils
Priority: optional
Maintainer: Thomas Liske <thomas@fiasko.dyndns.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: bakdump
Architecture: all
Depends: diff
Description: simple backup dumper script for various daemons.
 This is a simple script dumping daily the data of the
 following daemons (if available) in a weekly rotation:
    - dpkg
    - firebird2
    - mysql
    - postgresql
    - slapd
 All dumps are saved in /var/bakdump by default.

## bakdump 0.3-r4

=== debian/changelog ===
bakdump (0.3-r4) unstable; urgency=low

  * Depend on bzip2.
  * Add MYSQLCONF config option.

 -- Thomas Liske <liske@ibh.de>  Tue, 27 Jan 2009 11:12:55 +0100

## bakdump 0.3-r5

=== debian/changelog ===
bakdump (0.3-r5) unstable; urgency=low

  * Use /bin/bash since we use bashism.

 -- Thomas Liske <liske@ibh.de>  Fri, 14 Jan 2011 07:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: bakdump
 Architecture: all
-Depends: diff
+Depends: diff, bzip2
 Description: simple backup dumper script for various daemons.
  This is a simple script dumping daily the data of the
  following daemons (if available) in a weekly rotation:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/bakdump.sgml > bakdump.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/bakdump.
	$(MAKE) DESTDIR=$(CURDIR)/debian/bakdump install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bakdump 0.4

=== debian/changelog ===
bakdump (0.4) unstable; urgency=low

  * Update dependencies (diff transition).
  * Use xz as default compression tool.

 -- Thomas Liske <liske@ibh.de>  Tue, 01 Oct 2013 09:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: bakdump
 Architecture: all
-Depends: diff, bzip2
+Depends: diffutils, xz-utils | bzip2
 Description: simple backup dumper script for various daemons.
  This is a simple script dumping daily the data of the
  following daemons (if available) in a weekly rotation:

## bakdump 0.4.1

=== debian/changelog ===
bakdump (0.4.1) unstable; urgency=low

  * Increase renice value.

 -- Thomas Liske <liske@ibh.de>  Tue, 01 Oct 2013 13:18:06 +0200
